/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumParser;
import de.ship.db.tables.TInputParser;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputParserRecord extends TableRecordImpl<TInputParserRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_parser.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_parser.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_parser.pk</code>. the unique name of
     * this parser like osirix
     */
    public void setPk(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_parser.pk</code>. the unique name of
     * this parser like osirix
     */
    public String getPk() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_parser.pattern</code>. the validation
     * schema of the parse like an xsd file content
     */
    public void setPattern(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_parser.pattern</code>. the validation
     * schema of the parse like an xsd file content
     */
    public String getPattern() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_parser.type</code>. the type of this
     * parser
     */
    public void setType(EnumParser value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_parser.type</code>. the type of this
     * parser
     */
    public EnumParser getType() {
        return (EnumParser) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputParserRecord
     */
    public TInputParserRecord() {
        super(TInputParser.T_INPUT_PARSER);
    }

    /**
     * Create a detached, initialised TInputParserRecord
     */
    public TInputParserRecord(LocalDateTime lastchange, String pk, String pattern, EnumParser type) {
        super(TInputParser.T_INPUT_PARSER);

        setLastchange(lastchange);
        setPk(pk);
        setPattern(pattern);
        setType(type);
        resetChangedOnNotNull();
    }
}
